package com.xzzn.ems.service;

import com.xzzn.ems.domain.EmsCoolingData;
import com.xzzn.ems.domain.vo.*;

import java.util.List;

/**
 * 单点监控 服务层
 *
 */
public interface ISingleSiteService
{

    public SiteMonitorHomeVo getSiteMonitorDataVo(Long siteId);


    public SiteMonitorRuningHeadInfoVo getSiteRunningHeadInfo(Long siteId);

    public SiteMonitorRuningInfoVo getRunningGraph(Long siteId);

    public List<PcsDetailInfoVo> getPcsDetailInfo(Long siteId);

    public List<BMSOverViewVo> getBMSOverView(Long siteId);

    public List<BMSBatteryClusterVo> getBMSBatteryCluster(Long siteId);

    public List<EmsCoolingData> getCoolingDataList(Long siteId);
}
