package com.xzzn.ems.domain.vo;

import java.util.List;

/**
 * 单站监控-设备监控-实时运行曲线数据
 *
 */
public class SiteMonitorRuningInfoVo {
    /**
     * 储能功率list
     */
    private List<EnergyStoragePowVo> energyStoragePowList;

    /**
     * pcs平均温度list
     */
    private List<PCSAveTempVo> pcsAveTempList;

    /**
     * 电池平均soclist
     */
    private List<BatteryAveSOCVo> batteryAveSOCList;

    /**
     * 电池平均温度list
     */
    private List<BatteryAveTempVo> batteryAveTempList;

    public List<EnergyStoragePowVo> getEnergyStoragePowList() {
        return energyStoragePowList;
    }

    public void setEnergyStoragePowList(List<EnergyStoragePowVo> energyStoragePowList) {
        this.energyStoragePowList = energyStoragePowList;
    }

    public List<PCSAveTempVo> getPcsAveTempList() {
        return pcsAveTempList;
    }

    public void setPcsAveTempList(List<PCSAveTempVo> pcsAveTempList) {
        this.pcsAveTempList = pcsAveTempList;
    }

    public List<BatteryAveSOCVo> getBatteryAveSOCList() {
        return batteryAveSOCList;
    }

    public void setBatteryAveSOCList(List<BatteryAveSOCVo> batteryAveSOCList) {
        this.batteryAveSOCList = batteryAveSOCList;
    }

    public List<BatteryAveTempVo> getBatteryAveTempList() {
        return batteryAveTempList;
    }

    public void setBatteryAveTempList(List<BatteryAveTempVo> batteryAveTempList) {
        this.batteryAveTempList = batteryAveTempList;
    }
}
